#include <string>

class LogFileProperty {
public:
    std::string name;
    long time_stamp;

    bool operator<(const LogFileProperty& rhs) const {
        return time_stamp > rhs.time_stamp;
    }
};
/***********************************
*************线程处理函数***********
************************************/

void CheckThread();     //循环检测线程
void StartMqttClient(); //启动mqtt服务
void SearchThread();    //组播功能, 提供发现设备功能
void StartCgiServer();  //启动cgi处理服务端
void StartCMTServer();  
void HeartRep();
void UartStart(); //
void TestUart();
void UartStartWave();
void StartUdpSys(); //组播通信
void GetCSQ();
void Dial5G();
void InitModule();
void RunLED();
void RecvUpdateFile();
void DiskSpaceCheck();
